---
title: elevation
slug: Web/SVG/Attribute/elevation
tags:
  - Filters
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>elevation</code></strong> attribute specifies the direction angle for the light source from the XY plane towards the Z-axis, in degrees. Note that the positive Z-axis points towards the viewer of the content.</p>

<p>Only one element is using this attribute: {{SVGElement("feDistantLight")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[4,9]">&lt;svg viewBox="0 0 440 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="distantLight1"&gt;
    &lt;feDiffuseLighting&gt;
      &lt;feDistantLight elevation="0" /&gt;
    &lt;/feDiffuseLighting&gt;
  &lt;/filter&gt;
  &lt;filter id="distantLight2"&gt;
    &lt;feDiffuseLighting&gt;
      &lt;feDistantLight elevation="45" /&gt;
    &lt;/feDiffuseLighting&gt;
  &lt;/filter&gt;

  &lt;circle cx="100" cy="100" r="80" style="filter: url(#distantLight1);" /&gt;
  &lt;circle cx="100" cy="100" r="80" style="filter: url(#distantLight2); transform: translateX(240px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td>{{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td>0</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#element-attrdef-fedistantlight-elevation", "elevation")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#feDistantLightElevationAttribute", "elevation")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.feDistantLight.elevation")}}</p>
